Bug 626658

Summary: ksmtuned misinterprets /proc/meminfo
Product: [Fedora] Fedora Reporter: Rik van Riel <riel>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: amit.shah, berrange, danken, dwmw2, ehabkost, gcosta, itamar, jaswinder, jforbes, jks, knoel, markmc, ondrejj, sascha-web-bugzilla.redhat.com, scottt.tw, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-0.13.0-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-19 06:28:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rik van Riel 2010-08-23 22:38:34 EDT
Description of problem:

free_memory () {
    awk '/^(MemFree|Buffers|MemCached):/ {free += $2}; END {print free}' \
                /proc/meminfo
}

The above code looks for a MemCached line in /proc/meminfo, which has never existed.  Instead, the name is just Cached.

RHEL6 ksmtuned gets this right, but for some reason Fedora 13 still has the bug.

Version-Release number of selected component (if applicable):

qemu-common-0.12.3-8.fc13.x86_64
Comment 2 Fedora Update System 2011-03-03 18:37:21 EST
Package qemu-0.13.0-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-0.13.0-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/qemu-0.13.0-1.fc13
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-03-04 04:59:19 EST
qemu-0.13.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qemu'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/qemu-0.13.0-1.fc13
Comment 4 Fedora Update System 2011-03-19 06:28:06 EDT
qemu-0.13.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.